al_create_file_handle(3)

NAME

al_create_file_handle - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_FILE *al_create_file_handle(const ALLEGRO_FILE_INTERFACE *drv,
       void *userdata)

DESCRIPTION

Creates an empty, opened file handle with some abstract user data. This allows custom interfaces to extend the ALLEGRO_FILE(3) struct with their own data. You should close the handle with the standard al_fclose(3) function when you are finished with it.

SEE ALSO

al_fopen(3), al_fclose(3), al_set_new_file_interface(3)